# $Id: smeserver-diskusage.spec,v 1.4 2015/07/01 21:40:52 stephdl Exp $
# Authority: darrellmay
# Name: Darrell May

Summary: Disk usage panel for the SME Server
%define name smeserver-diskusage
Name: %{name}
%define version 0.2.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Patch0: smeserver-diskusage-0.0.1-locale-2014-06-08.patch
Patch1: smeserver-diskusage-0.2.0-locale-2015-07-01.patch
Requires: e-smith-base,  smeserver-release >= 9.0
Requires: e-smith-formmagick
BuildRequires: e-smith-devtools
Obsoletes: dmc-mitel-diskusage
AutoReqProv: no

%description
Disk usage panel showing filesystem, i-bay and user statistics.

%changelog
* Wed Jul 01 2015 stephane de Labrusse <stephdl@de-labrusse.fr> - 0.2.0-2
- add smeserver-diskusage-0.2.0-locale-2015-07-01.patch [SME: 8966]
 
* Sun Jun 08 2014 stephane de Labrusse <stephdl@de-labrusse.fr> - 0.2.0-1
- First release to contribs9
- add locale smeserver-diskusage-0.0.1-locale-2014-06-08.patch
 
* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 0.0.1-22.sme
- apply locale 2013-07-14 patch

* Tue Mar 20 2012 SME Translation Server <translations@contribs.org> 0.0.1-21.el6
- apply locale 2012-03-20 patch

* Sun Mar 06 2011 SME Translation Server <translations@contribs.org> 0.0.1-20.sme
- apply locale 2011-03-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 0.0.1-19.sme
- apply locale 2010-05-23 patch

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 0.0.1-18.sme
- apply locale 2010-03-02 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 0.0.1-17.sme
- apply locale 2009-10-27 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 0.0.1-16.sme
- apply locale 2009-08-24 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 0.0.1-15.sme
- apply locale 2009-05-20 patch

* Mon Apr 27 2009 SME Translation Server <translations@contribs.org> 0.0.1-14.sme
- apply locale 2009-04-27 patch

* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Sun Mar  1 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-12
- Apply  1 Mar 2009 locale patch [SME: 5018]

* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-11
- Apply 30 Nov 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-10
- Apply 14 Oct 2008 locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-9
- Apply 1 July 2008 locale patch

* Wed May 7 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-8
- Apply 7 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 0.0.1-7
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Add common <base> tags to e-smith-formmagick's general

* Wed Apr 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 23 April 2008 locale patch

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- Added 22 April 2008 locale patch

* Mon Apr 21 2008 Shad L. Lords <slords@mail.com>
- Prep for import into buildsys
- Clean up spec

* Mon Apr 16 2007 Darrell May <dmay@myezserver.com>
- added /opt to ibay table
- added date header
- [0.0.1-2]
* Wed Mar 21 2007 Darrell May <dmay@myezserver.com>
- split usage/path into two columns
- [0.0.1-1]
* Tue Mar 20 2007 Darrell May <dmay@myezserver.com>
- renamed and rebuilt for SME 7.x
- [0.0.1-0]
* Fri Aug 09 2002 Darrell May <dmay@netsourced.com>
- initial release
- [0.0.1-1]

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

